Download it now!
Bug 47354 - Writer Produces incorrect PDF from graphics object
Summary: Writer Produces incorrect PDF from graphics object
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-15 06:11 UTC by bellgardt
Modified: 2014-02-26 19:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Domcument that is incorrectly exported to PDF (41.06 KB, application/pdf)
2012-03-15 06:11 UTC, bellgardt
Details
PDF created directly by PDF-export from writer (41.06 KB, application/pdf)
2012-03-15 06:12 UTC, bellgardt
Details
Correct PDF created by Bullzip PDF-Printer (45.75 KB, application/pdf)
2012-03-15 06:13 UTC, bellgardt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bellgardt 2012-03-15 06:11:56 UTC
Created attachment 58507 [details]
Domcument that is incorrectly exported to PDF

There is a document (attached) containing three pictures that were originally created in Draw. When exporting to PDF only a part of one picture can be seen. Acrobat Reader also shows a message about some error on the page. 

I also attached the PDF created from LO and another correct PDF created by Bullzip PDF-Printer from Writer.
Comment 1 bellgardt 2012-03-15 06:12:58 UTC
Created attachment 58508 [details]
PDF created directly by PDF-export from writer
Comment 2 bellgardt 2012-03-15 06:13:49 UTC
Created attachment 58509 [details]
Correct PDF created by Bullzip PDF-Printer
Comment 3 sasha.libreoffice 2012-06-08 01:04:55 UTC
Thanks for bugreport
Please, attach original odg file for testing

PS: first attachment pdf looks correctly in Okular. May be Acrobat-specific problem.
Comment 4 Timur 2013-03-06 15:40:34 UTC
All 3 files are the same in PDF-Xchange but 2 cannot be shown in Adobe Reader 11.
Since there are no comments or the original file for a long time, I suggest this be closed as INVALID or maybe (cannot be tested) DUPLICATE of Bug 37559 - 1x1 extra points in some shapes violate PDF export.
Comment 5 ign_christian 2013-06-18 08:12:17 UTC
Same as Timur, I can confirm saw those 3 files very similar using PDFxchange.

But I suspect this is duplicate to Bug 55345 (problem with scaling)
Comment 6 QA Administrators 2014-02-02 02:07:11 UTC
Dear Bug Submitter,

Please read the entire message before proceeding.

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 7 QA Administrators 2014-02-26 19:31:37 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO